# Uses of Class
com.logicaldoc.core.document.AbstractDocument

Packages that use AbstractDocument
Package
Description
com.logicaldoc.core.document
Contains the definitions of `Document` and `Version` as well as other related objects
com.logicaldoc.core.searchengine
The core of the search engine.
com.logicaldoc.core.store
The store sub-system responsible for persisting the binaries of the documents.

## Uses of AbstractDocument in com.logicaldoc.core.document

Subclasses of AbstractDocument in com.logicaldoc.core.document
Modifier and Type
Class
Description
`class`
`Document`
Basic concrete implementation of `AbstractDocument`
`class`
`Version`
This class represents versions.
Methods in com.logicaldoc.core.document that return AbstractDocument
Modifier and Type
Method
Description
`AbstractDocument`
AbstractDocumentHistory.`getDocument()`
Methods in com.logicaldoc.core.document that return types with arguments of type AbstractDocument
Modifier and Type
Method
Description
`static Comparator<AbstractDocument>`
DocumentComparator.`getComparator(String sort)`
`static Comparator<AbstractDocument>`
DocumentComparator.`getComparator(List<DocumentComparator> multipleOptions)`
Methods in com.logicaldoc.core.document with parameters of type AbstractDocument
Modifier and Type
Method
Description
`void`
AbstractDocument.`copyAttributes(AbstractDocument docVO)`
Copies in the current instance the attributes of the passed values object, but NOT the ID
`void`
Document.`copyAttributes(AbstractDocument docVO)`
Copies in the current instance the attributes of the passed values object, but NOT the ID
`void`
AbstractDocumentHistory.`setDocument(AbstractDocument document)`
`void`
DocumentHistory.`setDocument(AbstractDocument document)`
Constructors in com.logicaldoc.core.document with parameters of type AbstractDocument
Modifier
Constructor
Description
``
`Document(AbstractDocument source)`

## Uses of AbstractDocument in com.logicaldoc.core.searchengine

Subclasses of AbstractDocument in com.logicaldoc.core.searchengine
Modifier and Type
Class
Description
`class`
`Hit`
Search result

## Uses of AbstractDocument in com.logicaldoc.core.store

Methods in com.logicaldoc.core.store with parameters of type AbstractDocument
Modifier and Type
Method
Description
`StoreResource.Builder`
StoreResource.Builder.`document(AbstractDocument document)`
Takes the docId and fileVersion from the given `DocumentFormatException` or `Version`